QUOTA(1)

NAZWA
quota - wyświetla wykorzystanie dysku i limity

SKŁADNIA
quota [ -F nazwa-formatu ] [ -guqvswi ] [ -l | [ -QAm ]]
quota [ -F nazwa-formatu ] [ -qvswi ] [ -l | [ -QAm ]] -u użytkownik...
quota [ -F nazwa-formatu ] [ -qvswi ] [ -l | [ -QAm ]] -g grupa...
quota [ -F nazwa-formatu ] [ -qvswi ] [ -l | [ -QAm ]] -P projekt...
quota [ -F nazwa-formatu ] [ -qvswugQm ] -f system-plików...

OPIS
quota wyświetla limity i użycie dysku przez użytkowników. Domyślnie wyświetlane są tylko kwoty użytkowników. Domyślnie, użycie przestrzeni i limity są pokazywane w kilobajtach (nazywanych blokami, ze względów historycznych).

quota zgłasza kwoty wszystkich wymienionych w /etc/mtab systemów plików. Dla systemów plików zamontowanych jako NFS potrzebne informacje są otrzymywane w wyniku odwołania do rpc.rquotad na serwerze.

OPCJE

-F, --format=nazwa-formatu
    Pokazuje kwoty według podanego formatu (tzn. nie jest wykonywane automatyczne wykrywanie formatu). Dozwolone są następujące nazwy formatów: vfsold - oryginalny format kwot z 16-bitowymi identyfikatorami użytkowników i grup, vfsv0 - format kwoty z 32-bitowymi identyfikatorami użytkowników i grup, 64-bitową przestrzenią użycia i 32-bitowymi użyciem i-węzłów i ograniczeniami, vfsv1 - format kwoty z 64-bitowymi ograniczeniami kwot i użycia, rpc - kwoty poprzez NFS, xfs - kwoty na systemie plików XFS.

-g, --group
    Pokazuje kwoty grup dla grupy, której użytkownik jest członkiem. Opcjonalny argument (lub kilka) group ogranicza wynik do podanych grup.

-u, --user
    Opcja jest równoznaczna z wartością domyślną.

-P, --project
    Wypisuje kwoty projektu dla określonego projektu.

-v, --verbose
    Wypisuje kwoty również na systemach plików, na których nie przydzielono zasobów.

-s, --human-readable[=jednostki]
    Program quota(1) spróbuje wybrać jednostki do pokazania limitów, użytego miejsca i liczby użytych i-węzłów. Jednostki można także narzucić opcjonalnym argumentem w postaci [ kgt ],[ kgt ] gdzie pierwszy znak określa jednostkę użytego miejsca, a drugi jednostkę i-węzłów.

--always-resolve
    Zawsze stara się tłumaczyć nazwę użytkownika lub grupy na UID lub GID, nawet jeśli nazwa składa się z samych cyfr.

-p, --raw-grace
    Jeśli użytkownik jest w okresie ulgi (grace period), to wyświetla czas w sekundach od początku epoki, kiedy ten okres się zakończy (lub zakończył). Pole jest równe "0", jeśli nie ma okresu ulgi. Jest to użyteczne podczas przetwarzania wyjścia za pomocą jakiegoś skryptu.

-i, --no-autofs
    Ignoruje punkty montowania ustanowione przez program automatycznego montowania (automounter).

-l, --local-only
    Zgłasza kwoty tylko w lokalnych systemach plików (tj. ignoruje systemy plików zamontowane poprzez NFS).

-A, --all-nfs
    Zgłasza kwoty wszystkich systemów plików NFS nawet jeśli zgłaszają, że są na tym samym urządzeniu.

-f, --filesystem-list
    Zgłasza kwoty tylko systemów plików podanych w wierszu poleceń.

--filesystem=ścieżka
    Zgłasza kwoty tylko dla systemu plików ścieżka. Opcję można podać wielokrotnie; wówczas kwoty zostaną zgłoszone dla każdego określonego w ten sposób systemu plików. W przeciwieństwie do opcji wiersza poleceń -f, pozostałe argumenty wiersza polecenia są wciąż traktowane jako nazwy użytkownika / grupy / projektu do zgłoszenia.

-m, --no-mixed-pathnames
    Obecnie, nazwy ścieżkowe punktów montowania NFSv4 są wysyłane bez początkowego ukośnika w ścieżce. rpc.rquotad używa tego do rozpoznawania montowań NFSv4 i prawidłowo poprzedza ścieżkę pseudokorzeniem systemu plików NFS. Jeśli poda się tę opcję, quota będzie zawsze wysyłać ścieżki z początkowym ukośnikiem. Jest to przydatne w celach kompatybilności, lecz proszę pamiętać, że udziały poprzez RPC przestaną działać po tym, jak zacznie się używać nowego rpc.rquotad.

-q, --quiet
    Wypisuje bardziej zwięzły komunikat, zawierającego wyłącznie informacje o systemach plików, na których przekroczono przydzielone kwoty.

-Q, --quiet-refuse
    Nie wypisuje błędu, jeśli odrzucono połączenie z rpc.rquotad (dzieje się to zwykle, jeśli na serwerze nie uruchomiono rpc.rquotad).

-w, --no-wrap
    Nie zawija wiersza, jeśli nazwa urządzenia jest zbyt długa. Przydatne, gdy wyjście programu quota(1) jest przetwarzane przez skrypt.

--show-mntpoint
    Pokazuje również punkty montowania przy identyfikacji systemu plików.

--hide-device
    Nie pokazuje nazw urządzeń przy identyfikacji systemu plików.

Łączne podanie -g i -u spowoduje wypisanie kwot dla użytkownika oraz dla grup (użytkownika).

Tylko superużytkownik może posługiwać się opcją -u z opcjonalnym argumentem użytkownik, aby obejrzeć limity innych użytkowników. Zapoznanie się z limitami i wykorzystaniem kwot projektu jest również ograniczone do superużytkownika. Inni użytkownicy mogą posługiwać się opcją -g z opcjonalnym argumentem grupa, aby obejrzeć ograniczenia dla grup, których są członkami.

Opcja -q ma pierwszeństwo przed opcją -v.

DIAGNOSTYKA
Jeżeli quota kończy pracę z niezerowym kodem, to na co najmniej jednym systemie plików przekroczone jest ograniczenie kwoty.

PLIKI
aquota.user lub aquota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 2 kwot, systemy plików inne niż XFS)
quota.user lub quota.group
    pliki kwot dyskowych umieszczone w głównym katalogu systemu plików (wersja 1 kwot, systemy plików inne niż XFS)
/etc/mtab
    domyślne systemy plików

ZOBACZ TAKŻE
quotactl(2), fstab(5), edquota(8), quotacheck(8), quotaon(8), quota_nld(8), repquota(8), warnquota(8), setquota(8)

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Wojtek Kotwica <wkotwica@post.pl>, Andrzej M. Krzysztofowicz <ankry@mif.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.